<div class="row">
  <div class="col-sm-8 col-sm-offset-2">
    <form (ngSubmit)="onSubmit(f)" #f="ngForm">
      <div class="form-group">
        <label for="name">Nom de l'appareil</label>
        <input type="text" id="name" name="name" class="form-control"
        ngModel required>
      </div>
      <div class="form-group">
        <label for="status">Etat de l'appareil</label>
        <select id="status" name="status" class="form-control" [ngModel]="defaultOnOff">
          <option value="on">Allumer</option>
          <option value="off">Eteindre</option>
        </select>
      </div>
      <button type="submit" class="btn btn-primary" [disabled]="f.invalid">enregistrer</button>
    </form>
  </div>
</div>
